Name:        ubuntu-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Ubuntu-Font-1.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/UbuntuMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 UbuntuMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-BoldItalic.ttf
install -Dm644 UbuntuMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-BoldItalic.ttf
install -Dm644 UbuntuMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 UbuntuMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Bold.ttf
install -Dm644 UbuntuMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Bold.ttf
install -Dm644 UbuntuMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Bold.ttf
install -Dm644 UbuntuMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Italic.ttf
install -Dm644 UbuntuMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Italic.ttf
install -Dm644 UbuntuMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Italic.ttf
install -Dm644 UbuntuMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Regular.ttf
install -Dm644 UbuntuMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Regular.ttf
install -Dm644 UbuntuMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuMonoNerdFontPropo-Regular.ttf
%license "LICENCE-FAQ.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
